Package net.shibboleth.shared.component

# Class DestroyedComponentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
net.shibboleth.shared.component.DestroyedComponentException

All Implemented Interfaces:
  `Serializable`

public class DestroyedComponentException extends RuntimeException
Exception thrown if a component has been destroyed and an attempt was made to use it.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`DestroyedComponentException()`
Constructor.
`DestroyedComponentException(Exception wrappedException)`
Constructor.
`DestroyedComponentException(Object destroyedComponent)`
Constructor.
`DestroyedComponentException(String message)`
Constructor.
`DestroyedComponentException(String message, Exception wrappedException)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

## Constructor Details

### DestroyedComponentException

public DestroyedComponentException()
Constructor.

### DestroyedComponentException

public DestroyedComponentException(Object destroyedComponent)
Constructor. This method constructs the exception message by prepending the output of `Object.toString()` to the string `has been destroyed`.

Parameters:
  `destroyedComponent` - the component that was destroyed

### DestroyedComponentException

public DestroyedComponentException(String message)
Constructor.

Parameters:
  `message` - exception message

### DestroyedComponentException

public DestroyedComponentException(Exception wrappedException)
Constructor.

Parameters:
  `wrappedException` - exception to be wrapped by this one

### DestroyedComponentException

public DestroyedComponentException(String message, Exception wrappedException)
Constructor.

Parameters:
  `message` - exception message
  `wrappedException` - exception to be wrapped by this one